package models

import "time"

type Task struct {
	Id          int32  `db:"id"`
	Position    int32  `db:"position"`
	Title       string `db:"title"`
	TimeLimit   int32  `db:"time_limit"`
	MemoryLimit int32  `db:"memory_limit"`

	ProblemId int32 `db:"problem_id"`
	ContestId int32 `db:"contest_id"`

	LegendHtml       string `db:"legend_html"`
	InputFormatHtml  string `db:"input_format_html"`
	OutputFormatHtml string `db:"output_format_html"`
	NotesHtml        string `db:"notes_html"`
	ScoringHtml      string `db:"scoring_html"`

	CreatedAt time.Time `db:"created_at"`
	UpdatedAt time.Time `db:"updated_at"`
}

type TasksListItem struct {
	Id          int32     `db:"id"`
	ProblemId   int32     `db:"problem_id"`
	ContestId   int32     `db:"contest_id"`
	Position    int32     `db:"position"`
	Title       string    `db:"title"`
	MemoryLimit int32     `db:"memory_limit"`
	TimeLimit   int32     `db:"time_limit"`
	CreatedAt   time.Time `db:"created_at"`
	UpdatedAt   time.Time `db:"updated_at"`
}
